.loader {
  $spinner-width: 40px;
  $spinner-height: 40px;
  $border-size: 8px;

  width: $spinner-width;
  height: $spinner-height;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: calc(-#{$spinner-height} / 2) 0 0 calc(-#{$spinner-width} / 2);
  content: '';
  display: block;
  border: $border-size solid gray;
  border-top: $border-size solid #000;
  border-radius: 50%;
  animation: spin .75s linear infinite;

  &__label {
    font-size: 0;
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}